# Changelog

## 2.1.0

- Fix for NumberOption: do not cut off float values
- New type IntegerOption: only allows integer values

## 2.0.0

Restructuring to split different Option types and keep specific parameters separate

### Breaking Changes

- new structure
- option 'required' has been removed
- automatic console parameters have been removed
  - help page
  - quiet switch (interactive prompts can be disabled using the sources option)

## 1.8.0

callback in case an option could not be assigned instead of silently skipping

## 1.7.0

parsing config files with [hjson](https://github.com/hjson/hjson-js)

## 1.6.0

option to change the message displayed on invalid input

## 1.5.0

- added changelog
- config files: include other config files

## 1.4.0

option to end the program when the user interrupts a prompt

## 1.3.0

new source: config files

## 1.2.0

preset option: an array of strings to choose from when using one of the string
types

## 1.1.0

- readme file
- options to select which sources should be used
- array type

## 1.0.0

initial version
